SKYRIM

This file has currently been set to hidden by the author of the file. You cannot look at this file page or download any files relating to this file until the author makes the file visible to the public again.

The reason given by the author is: This mod is now incompatible with versions of Skyrim above 1.7.

This model has been updated and replaced by version 2 located here: http://www.nexusmods.com/skyrim/mods/53024/?

This file is also available on steam.

This plugin no longer supports Skyrim version 1.7